%global major 1
%define libname %mklibname pipeline %major
%define devname %mklibname -d pipeline
%global gnulib_ver 20140202

Summary: A pipeline manipulation library
Name: libpipeline
Version: 1.5.3
Release: %mkrel 1
License: GPLv3+
Group: Development/C
URL: http://libpipeline.nongnu.org/
Source: http://download.savannah.gnu.org/releases/libpipeline/libpipeline-%{version}.tar.gz

BuildRequires: libtool
BuildRequires: pkgconfig(check)

# FPC exception for gnulib - copylib - https://fedorahosted.org/fpc/ticket/174
Provides: bundled(gnulib) = %{gnulib_ver}

%description
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package -n %libname
Summary: Pipeline manipulation library
Group: Development/C

%description -n %libname
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package -n %devname
Summary: Header files and libraries for pipeline manipulation library
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Requires: pkgconfig
Provides: pipeline-devel

%description -n %devname
libpipeline-devel contains the header files and libraries needed
to develop programs that use libpipeline library.

%prep
%setup -q

%build
%configure
%make_build

%check
make check

%install
%make_install

find %{buildroot} -name '*.la' -delete


%files -n %libname
%license COPYING
%doc README ChangeLog NEWS
%{_libdir}/libpipeline.so.%{major}
%{_libdir}/libpipeline.so.%{major}.*

%files -n %devname
%{_libdir}/libpipeline.so
%{_libdir}/pkgconfig/libpipeline.pc
%{_includedir}/*.h
%{_mandir}/man3/*


%changelog
* Sun Sep 20 2020 tv <tv> 1.5.3-1.mga8
+ Revision: 1628895
- 1.5.3

* Mon Mar 02 2020 tv <tv> 1.5.2-1.mga8
+ Revision: 1553107
- 1.5.2

* Sat Feb 15 2020 umeabot <umeabot> 1.5.1-2.mga8
+ Revision: 1527675
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jul 23 2019 tv <tv> 1.5.1-1.mga8
+ Revision: 1423533
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1299092
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 tv <tv> 1.5.0-1.mga7
+ Revision: 1215261
- new release

* Mon Jul 17 2017 tv <tv> 1.4.2-1.mga7
+ Revision: 1124117
- new release

* Mon Feb 15 2016 umeabot <umeabot> 1.4.1-2.mga6
+ Revision: 961190
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 tv <tv> 1.4.1-1.mga6
+ Revision: 897016
- imported package libpipeline

